Debian Bug report logs - #627837
linux-2.6: Aufs apparently silently dropped, breaking debian-live

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: daniel.baumann@progress-technologies.net

Date: Tue, 24 May 2011 20:21:02 UTC

Severity: wishlist

Tags: patch, pending

Merged with 627573

Found in version 2.6.39-1

Fixed in version linux-2.6/2.6.39-2

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Tue, 24 May 2011 20:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 24 May 2011 20:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: submit@bugs.debian.org
Subject: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Tue, 24 May 2011 22:17:45 +0200
Package: linux-2.6
Severity: serious

Hi,

in 2.6.39, apparently aufs was silently dropped, please re-enable.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Severity set to 'important' from 'serious' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Tue, 24 May 2011 20:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Tue, 24 May 2011 21:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 24 May 2011 21:12:07 GMT) Full text and rfc822 format available.

Message #12 received at 627837@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Bastian Blank <waldi@debian.org>
Cc: 627837@bugs.debian.org
Subject: Re: Processed: severity of 627837 is important
Date: Tue, 24 May 2011 23:10:30 +0200
severity 627837 serious
thanks

On 05/24/2011 10:42 PM, Debian Bug Tracking System wrote:
>> severity 627837 important

dropping aufs and not providing any alternative (unionmount) breaks 
debian-live, on all architectures, completely.

breaking debian-live *fundamentally* is RC.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Severity set to 'serious' from 'important' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 24 May 2011 21:12:09 GMT) Full text and rfc822 format available.

Forcibly Merged 627573 627837. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 24 May 2011 21:18:05 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Tue, 24 May 2011 21:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Tue, 24 May 2011 22:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 24 May 2011 22:42:10 GMT) Full text and rfc822 format available.

Message #23 received at 627837@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 627837@bugs.debian.org
Subject: Re: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Wed, 25 May 2011 00:39:26 +0200
tag 627837 patch
thanks

i've updated aufs in my own kernel tree, feel free to merge:

  http://vcs.progress-linux.org/?p=packages/linux-2.6.git;a=commitdiff;
  h=26a2fd380e516f1df527c0357334eb5e10cdccb3

  http://vcs.progress-linux.org/?p=packages/linux-2.6.git;a=commitdiff;
  h=973422c91686a621ecd81db1813ed3e77a837b2c

Regards,
Daniel

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) patch. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 24 May 2011 22:42:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Tue, 24 May 2011 22:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 24 May 2011 22:57:07 GMT) Full text and rfc822 format available.

Message #30 received at 627837@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: debian-release@lists.debian.org
Cc: 627837@bugs.debian.org
Subject: Re: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Wed, 25 May 2011 00:54:42 +0200
to prevent further severity ping-pong..

Given that:

  * 2.6.39 without aufs nor unionmount is not usable in *any* way for
    debian-live and thus debian-live being completely broken

  * 2.6.38 has aufs and is in testing

  * debian-live being a part of debian where we should not release
    without

i hereby request that:

  * the release team overwrites the maintainers 'decision' to downgrade
    #627837 from severity serious to important by marking #627837 RC
    by restoring the severity to serious

  * the release team makes sure that 2.6.39 does *not* migrate to
    testing before #627837 has been fixed.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Wed, 25 May 2011 01:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 May 2011 01:51:06 GMT) Full text and rfc822 format available.

Message #35 received at 627837@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: daniel.baumann@progress-technologies.net, 627837@bugs.debian.org
Subject: Re: Bug#627837: Processed: severity of 627837 is important
Date: Tue, 24 May 2011 18:47:05 -0700
[Message part 1 (text/plain, inline)]
On Tue, 2011-05-24 at 23:10 +0200, Daniel Baumann wrote:
> severity 627837 serious
> thanks
> 
> On 05/24/2011 10:42 PM, Debian Bug Tracking System wrote:
> >> severity 627837 important
> 
> dropping aufs and not providing any alternative (unionmount) breaks 
> debian-live, on all architectures, completely.
> 
> breaking debian-live *fundamentally* is RC.

Well why don't you make aufs work, instead of complaining?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Wed, 25 May 2011 01:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 May 2011 01:51:08 GMT) Full text and rfc822 format available.

Message #40 received at 627837@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: daniel.baumann@progress-technologies.net, 627837@bugs.debian.org
Subject: Re: Bug#627837: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Tue, 24 May 2011 18:48:25 -0700
[Message part 1 (text/plain, inline)]
On Wed, 2011-05-25 at 00:39 +0200, Daniel Baumann wrote:
> tag 627837 patch
> thanks
> 
> i've updated aufs in my own kernel tree, feel free to merge:
> 
>    http://vcs.progress-linux.org/?p=packages/linux-2.6.git;a=commitdiff;
>    h=26a2fd380e516f1df527c0357334eb5e10cdccb3
> 
>    http://vcs.progress-linux.org/?p=packages/linux-2.6.git;a=commitdiff;
>    h=973422c91686a621ecd81db1813ed3e77a837b2c

Oh, that's more like it, thanks.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Severity set to 'wishlist' from 'important' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 25 May 2011 01:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Sun, 29 May 2011 17:25:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 May 2011 17:25:33 GMT) Full text and rfc822 format available.

Message #47 received at 627837@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: debian-release@lists.debian.org
Cc: 627837@bugs.debian.org
Subject: Re: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Sun, 29 May 2011 19:18:29 +0200
On 05/25/2011 12:54 AM, Daniel Baumann wrote:
> i hereby request that:
>
> * the release team overwrites the maintainers 'decision' to downgrade
> #627837 from severity serious to important by marking #627837 RC
> by restoring the severity to serious
>
> * the release team makes sure that 2.6.39 does *not* migrate to
> testing before #627837 has been fixed.

ping.

linux-2.6 has aged 7 of 10 days already.. remeber that should the broken 
kernel migrate to testing, this will basically mean we can stop doing 
debian-live work within debian for about as long as it takes until the 
fixed version of the kernel enters testing again (which can, by 
experience, be quite long).

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Sun, 29 May 2011 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 May 2011 18:21:03 GMT) Full text and rfc822 format available.

Message #52 received at 627837@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: debian-release@lists.debian.org, 627837@bugs.debian.org
Subject: Re: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Sun, 29 May 2011 20:18:38 +0200
On Sun, May 29, 2011 at 19:18:29 +0200, Daniel Baumann wrote:

> On 05/25/2011 12:54 AM, Daniel Baumann wrote:
> >i hereby request that:
> >
> >* the release team overwrites the maintainers 'decision' to downgrade
> >#627837 from severity serious to important by marking #627837 RC
> >by restoring the severity to serious
> >
> >* the release team makes sure that 2.6.39 does *not* migrate to
> >testing before #627837 has been fixed.
> 
> ping.
> 
> linux-2.6 has aged 7 of 10 days already.. remeber that should the
> broken kernel migrate to testing, this will basically mean we can
> stop doing debian-live work within debian for about as long as it
> takes until the fixed version of the kernel enters testing again
> (which can, by experience, be quite long).
> 
Then work with the kernel team to resolve this, and make sure what you
need is ready in the future when a new kernel is released, instead of
making others chase external patches for you.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Sun, 29 May 2011 18:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 May 2011 18:30:08 GMT) Full text and rfc822 format available.

Message #57 received at 627837@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: debian-release@lists.debian.org
Cc: 627837@bugs.debian.org
Subject: Re: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Sun, 29 May 2011 20:27:31 +0200
On 05/29/2011 08:18 PM, Julien Cristau wrote:
> Then work with the kernel team to resolve this, and make sure what you
> need is ready in the future when a new kernel is released, instead of
> making others chase external patches for you.

it has always been ready, that's not the problem.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Sun, 29 May 2011 19:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 May 2011 19:57:09 GMT) Full text and rfc822 format available.

Message #62 received at 627837@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: daniel.baumann@progress-technologies.net, 627837@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#627837: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Sun, 29 May 2011 21:53:01 +0200
On Sun, May 29, 2011 at 20:27:31 +0200, Daniel Baumann wrote:

> On 05/29/2011 08:18 PM, Julien Cristau wrote:
> > Then work with the kernel team to resolve this, and make sure what you
> > need is ready in the future when a new kernel is released, instead of
> > making others chase external patches for you.
> 
> it has always been ready, that's not the problem.
> 
Maybe it was ready in your mind, but it wasn't in debian-kernel svn or
mailing list (and as far as I can tell the kernel maintainers even
checked aufs git before the .39 upload, and didn't find any recent
changes there).  So yeah, that's exactly the problem.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Sun, 29 May 2011 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 May 2011 20:06:03 GMT) Full text and rfc822 format available.

Message #67 received at 627837@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: debian-release@lists.debian.org
Cc: 627837@bugs.debian.org
Subject: Re: Bug#627837: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Sun, 29 May 2011 22:04:03 +0200
On 05/29/2011 09:53 PM, Julien Cristau wrote:
> Maybe it was ready in your mind, but it wasn't in debian-kernel svn or
> mailing list (and as far as I can tell the kernel maintainers even
> checked aufs git before the .39 upload, and didn't find any recent
> changes there).  So yeah, that's exactly the problem.

no; aufs.git was up2date. in time. way before.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Sun, 29 May 2011 20:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 May 2011 20:18:03 GMT) Full text and rfc822 format available.

Message #72 received at 627837@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: debian-release@lists.debian.org
Cc: 627837@bugs.debian.org
Subject: Re: Bug#627837: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Sun, 29 May 2011 22:16:40 +0200
On 05/29/2011 10:04 PM, Daniel Baumann wrote:
> no; aufs.git was up2date. in time. way before.

oh.. and before you ask.. 'way before' means 'at least 2011-04-18, but
possibly even earlier' (yes, that really is a month before .39 was
released).

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Sun, 29 May 2011 20:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 May 2011 20:30:06 GMT) Full text and rfc822 format available.

Message #77 received at 627837@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: daniel.baumann@progress-technologies.net, 627837@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Sun, 29 May 2011 15:28:18 -0500
severity 627837 serious
quit

Daniel Baumann wrote:

> oh.. and before you ask.. 'way before' means 'at least 2011-04-18, but
> possibly even earlier' (yes, that really is a month before .39 was
> released).

I don't see the value of this discussion --- it's water under the
bridge, anyway.

I'm setting the severity to serious, even though I am neither part of
the release team nor a maintainer for the package.  Either should of
course feel free to set it back.  Hopefully once a
testing-plus-packages-from-sid distribution is available for d-i and
debian-live use, these decisions can be less painful.




Severity set to 'serious' from 'wishlist' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 29 May 2011 20:30:08 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 29 May 2011 20:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Sun, 29 May 2011 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 May 2011 20:39:06 GMT) Full text and rfc822 format available.

Message #86 received at 627837@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 627837@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Sun, 29 May 2011 22:34:58 +0200
On Sun, May 29, 2011 at 15:28:18 -0500, Jonathan Nieder wrote:

> I'm setting the severity to serious, even though I am neither part of
> the release team nor a maintainer for the package.  Either should of
> course feel free to set it back.
> 
The maintainers have already made that call, and I don't see a reason to
override their decision.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Sun, 29 May 2011 20:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 May 2011 20:42:05 GMT) Full text and rfc822 format available.

Message #91 received at 627837@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 627837@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Sun, 29 May 2011 15:38:36 -0500
severity 627837 important
quit

Julien Cristau wrote:
> On Sun, May 29, 2011 at 15:28:18 -0500, Jonathan Nieder wrote:

>> I'm setting the severity to serious, even though I am neither part of
>> the release team nor a maintainer for the package.  Either should of
>> course feel free to set it back.
>
> The maintainers have already made that call, and I don't see a reason to
> override their decision.

Ah, ok.  It would be nice to have a policy for this kind of problem in
the future (changes that break debian-live or d-i).




Severity set to 'important' from 'wishlist' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 29 May 2011 20:42:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Sun, 29 May 2011 21:06:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 May 2011 21:06:23 GMT) Full text and rfc822 format available.

Message #98 received at 627837@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@debian.org>
To: 627837@bugs.debian.org
Subject: Re: Bug#627837: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Sun, 29 May 2011 22:36:32 +0200
[Message part 1 (text/plain, inline)]
On Sun, May 29, 2011 at 10:16:40PM +0200, Daniel Baumann wrote:
> On 05/29/2011 10:04 PM, Daniel Baumann wrote:
> > On 05/29/2011 09:53 PM, Julien Cristau wrote:
> > > Maybe it was ready in your mind, but it wasn't in debian-kernel svn or
> > > mailing list (and as far as I can tell the kernel maintainers even
> > > checked aufs git before the .39 upload, and didn't find any recent
> > > changes there).  So yeah, that's exactly the problem.
> > 
> > no; aufs.git was up2date. in time. way before.
> 
> oh.. and before you ask.. 'way before' means 'at least 2011-04-18, but
> possibly even earlier' (yes, that really is a month before .39 was
> released).

And what is the URL for aufs.git?
And where is that information shared before?

And frankly, I don't have time to check "the stated facts".

What I do like to see, is that this bug report is about solving an issue,
NOT about who should have done what and when.


So far my attempt to stop the fight.
Now going forward to a solution.


The previous provide URLs got some how line wrapped.
In this "resend" they should without the line break.

 http://vcs.progress-linux.org/?p=packages/linux-2.6.git;a=commitdiff;h=26a2fd380e516f1df527c0357334eb5e10cdccb3

 http://vcs.progress-linux.org/?p=packages/linux-2.6.git;a=commitdiff;h=973422c91686a621ecd81db1813ed3e77a837b2c


HTH
Stappers

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Sun, 29 May 2011 21:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 May 2011 21:27:07 GMT) Full text and rfc822 format available.

Message #103 received at 627837@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: debian-release@lists.debian.org
Cc: 627837@bugs.debian.org
Subject: Re: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Sun, 29 May 2011 23:18:27 +0200
On 05/29/2011 10:34 PM, Julien Cristau wrote:
> The maintainers have already made that call, and I don't see a reason to
> override their decision.

so no change after squeeze, the release team gives a shit about breaking
debian-live, sigh. but don't worry, from now on, i will not care anymore
either.

bye, have fun.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Sun, 29 May 2011 23:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Set <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 29 May 2011 23:12:06 GMT) Full text and rfc822 format available.

Message #108 received at 627837@bugs.debian.org (full text, mbox):

From: Will Set <debiandunes@yahoo.com>
To: daniel.baumann@progress-technologies.net, 627837@bugs.debian.org
Subject: Re: Bug#627837: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Sun, 29 May 2011 16:10:15 -0700 (PDT)
Daniel Baumann <daniel.baumann@progress-technologies.net>May 29, 2011 5:18:27 PM
> On 05/29/2011 10:34 PM, Julien Cristau wrote:
> > The maintainers have  already made that call, and I don't see a reason to
> > override their  decision.
> 
> so no change after squeeze, the release team gives a shit about  breaking
> debian-live, sigh. but don't worry, from now on, i will not care  anymore
> either.

It's not fun here either.
fwiw:
38 started getting less stable than what I'm used to seeing for at least a year 
now.
39 is much more volatile than any other kernel I've seen in unstable for more 
than a year.

I have no advice for either side of this.
> 
> bye, have fun.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Mon, 30 May 2011 02:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 30 May 2011 02:21:03 GMT) Full text and rfc822 format available.

Message #113 received at 627837@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: daniel.baumann@progress-technologies.net, 627837@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#627837: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Mon, 30 May 2011 03:16:39 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2011-05-29 at 22:04 +0200, Daniel Baumann wrote:
> On 05/29/2011 09:53 PM, Julien Cristau wrote:
> > Maybe it was ready in your mind, but it wasn't in debian-kernel svn or
> > mailing list (and as far as I can tell the kernel maintainers even
> > checked aufs git before the .39 upload, and didn't find any recent
> > changes there).  So yeah, that's exactly the problem.
> 
> no; aufs.git was up2date. in time. way before.

$ git remote update aufs
Fetching aufs
error: Unable to find 15722bf9a99b2d98304710021f750f33eee19498 under http://git.c3sl.ufpr.br/pub/scm/aufs/aufs2-2.6.git
Cannot obtain needed commit 15722bf9a99b2d98304710021f750f33eee19498
while processing commit a74d7008d25093b5d1fecb7f33df98570fddbf7e.
error: Fetch failed.
error: Could not fetch aufs

Is there a new canonical repository for aufs?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Mon, 30 May 2011 04:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 30 May 2011 04:45:03 GMT) Full text and rfc822 format available.

Message #118 received at 627837@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 627837@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#627837: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Mon, 30 May 2011 06:43:33 +0200
On 05/30/2011 04:16 AM, Ben Hutchings wrote:
> Is there a new canonical repository for aufs?

it always was http://git.c3sl.ufpr.br/pub/scm/aufs/aufs2-standalone.git,
like referenced from aufs.sf.net.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Severity set to 'wishlist' from 'important' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Mon, 30 May 2011 06:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Fri, 03 Jun 2011 05:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 03 Jun 2011 05:33:03 GMT) Full text and rfc822 format available.

Message #125 received at 627837@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: daniel.baumann@progress-technologies.net, 627837@bugs.debian.org
Subject: Re: Bug#627837: linux-2.6: Aufs apparently silently dropped, breaking debian-live
Date: Fri, 03 Jun 2011 06:31:45 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2011-05-25 at 00:39 +0200, Daniel Baumann wrote:
> tag 627837 patch
> thanks
> 
> i've updated aufs in my own kernel tree, feel free to merge:
> 
>    http://vcs.progress-linux.org/?p=packages/linux-2.6.git;a=commitdiff;
>    h=26a2fd380e516f1df527c0357334eb5e10cdccb3
> 
>    http://vcs.progress-linux.org/?p=packages/linux-2.6.git;a=commitdiff;
>    h=973422c91686a621ecd81db1813ed3e77a837b2c

I can't merge from git to svn.

However I regenerated the patches from aufs2-standalone, fixed up the
obvious context error, and got the same result as you.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Fri, 03 Jun 2011 05:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627837; Package linux-2.6. (Mon, 06 Jun 2011 06:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 06 Jun 2011 06:09:03 GMT) Full text and rfc822 format available.

Message #132 received at 627837@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: 627837@bugs.debian.org
Subject: [ben@decadent.org.uk: Uploading linux-2.6 (2.6.39-2)]
Date: Mon, 6 Jun 2011 07:48:09 +0200
This bugreport, #627837, is allready tagged 'pending'.

The idea behind this "forward" is to add some further information.

I think it helps, at least 

Hopes this helps
Geert Stappers

----- Forwarded message from Ben Hutchings <ben@decadent.org.uk> -----

Date: Sun, 05 Jun 2011 05:01:48 +0100
From: Ben Hutchings <ben@decadent.org.uk>
To: Debian kernel maintainers <debian-kernel@lists.debian.org>
Cc: debian-release@lists.debian.org
Subject: Uploading linux-2.6 (2.6.39-2)
X-Mailer: Evolution 2.32.3

I intend to upload linux-2.6 to unstable early this week.  This will
include stable update 2.6.39.1 and restoration of aufs support for use
in Debian Live.

Stable update 2.6.39.1 includes an ABI change, so we will probably have
to change the binary package names.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.



----- End forwarded message -----





Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Wed, 08 Jun 2011 10:10:30 GMT) Full text and rfc822 format available.

Notification sent to daniel.baumann@progress-technologies.net:
Bug acknowledged by developer. (Wed, 08 Jun 2011 10:10:36 GMT) Full text and rfc822 format available.

Message #137 received at 627837-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 627837-close@bugs.debian.org
Subject: Bug#627837: fixed in linux-2.6 2.6.39-2
Date: Wed, 08 Jun 2011 10:05:58 +0000
Source: linux-2.6
Source-Version: 2.6.39-2

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.39-2.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.39-2.diff.gz
linux-2.6_2.6.39-2.dsc
  to main/l/linux-2.6/linux-2.6_2.6.39-2.dsc
linux-doc-2.6.39_2.6.39-2_all.deb
  to main/l/linux-2.6/linux-doc-2.6.39_2.6.39-2_all.deb
linux-manual-2.6.39_2.6.39-2_all.deb
  to main/l/linux-2.6/linux-manual-2.6.39_2.6.39-2_all.deb
linux-patch-debian-2.6.39_2.6.39-2_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.39_2.6.39-2_all.deb
linux-source-2.6.39_2.6.39-2_all.deb
  to main/l/linux-2.6/linux-source-2.6.39_2.6.39-2_all.deb
linux-support-2.6.39-2_2.6.39-2_all.deb
  to main/l/linux-2.6/linux-support-2.6.39-2_2.6.39-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627837@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 07 Jun 2011 12:14:05 +0100
Source: linux-2.6
Binary: linux-tools-2.6.39 linux-source-2.6.39 linux-doc-2.6.39 linux-manual-2.6.39 linux-patch-debian-2.6.39 linux-support-2.6.39-2 linux-libc-dev linux-headers-2.6.39-2-all linux-headers-2.6.39-2-all-alpha linux-headers-2.6.39-2-common linux-image-2.6.39-2-alpha-generic linux-headers-2.6.39-2-alpha-generic linux-image-2.6.39-2-alpha-smp linux-headers-2.6.39-2-alpha-smp linux-image-2.6.39-2-alpha-legacy linux-headers-2.6.39-2-alpha-legacy linux-headers-2.6.39-2-all-amd64 linux-image-2.6.39-2-amd64 linux-headers-2.6.39-2-amd64 linux-image-2.6.39-2-amd64-dbg linux-headers-2.6.39-2-all-armel linux-image-2.6.39-2-iop32x linux-headers-2.6.39-2-iop32x linux-image-2.6.39-2-ixp4xx linux-headers-2.6.39-2-ixp4xx linux-image-2.6.39-2-kirkwood linux-headers-2.6.39-2-kirkwood linux-image-2.6.39-2-orion5x linux-headers-2.6.39-2-orion5x linux-image-2.6.39-2-versatile linux-headers-2.6.39-2-versatile linux-headers-2.6.39-2-all-armhf linux-image-2.6.39-2-mx5 linux-headers-2.6.39-2-mx5
 linux-headers-2.6.39-2-all-hppa linux-image-2.6.39-2-parisc linux-headers-2.6.39-2-parisc linux-image-2.6.39-2-parisc-smp linux-headers-2.6.39-2-parisc-smp linux-image-2.6.39-2-parisc64 linux-headers-2.6.39-2-parisc64 linux-image-2.6.39-2-parisc64-smp linux-headers-2.6.39-2-parisc64-smp linux-headers-2.6.39-2-all-i386 linux-image-2.6.39-2-486 linux-headers-2.6.39-2-486 linux-image-2.6.39-2-686-pae linux-headers-2.6.39-2-686-pae linux-image-2.6.39-2-686-pae-dbg linux-headers-2.6.39-2-all-ia64 linux-image-2.6.39-2-itanium linux-headers-2.6.39-2-itanium linux-image-2.6.39-2-mckinley linux-headers-2.6.39-2-mckinley linux-headers-2.6.39-2-all-m68k linux-image-2.6.39-2-amiga linux-headers-2.6.39-2-amiga linux-image-2.6.39-2-atari linux-headers-2.6.39-2-atari linux-image-2.6.39-2-bvme6000 linux-headers-2.6.39-2-bvme6000 linux-image-2.6.39-2-mac linux-headers-2.6.39-2-mac linux-image-2.6.39-2-mvme147 linux-headers-2.6.39-2-mvme147 linux-image-2.6.39-2-mvme16x
 linux-headers-2.6.39-2-mvme16x linux-headers-2.6.39-2-all-mips linux-image-2.6.39-2-r4k-ip22 linux-headers-2.6.39-2-r4k-ip22 linux-image-2.6.39-2-r5k-ip32 linux-headers-2.6.39-2-r5k-ip32 linux-image-2.6.39-2-sb1-bcm91250a linux-headers-2.6.39-2-sb1-bcm91250a linux-image-2.6.39-2-sb1a-bcm91480b linux-headers-2.6.39-2-sb1a-bcm91480b linux-image-2.6.39-2-4kc-malta linux-headers-2.6.39-2-4kc-malta linux-image-2.6.39-2-5kc-malta linux-headers-2.6.39-2-5kc-malta linux-image-2.6.39-2-octeon linux-headers-2.6.39-2-octeon linux-headers-2.6.39-2-all-mipsel linux-image-2.6.39-2-r5k-cobalt linux-headers-2.6.39-2-r5k-cobalt linux-image-2.6.39-2-loongson-2f linux-headers-2.6.39-2-loongson-2f linux-headers-2.6.39-2-all-powerpc linux-image-2.6.39-2-powerpc linux-headers-2.6.39-2-powerpc linux-image-2.6.39-2-powerpc-smp linux-headers-2.6.39-2-powerpc-smp linux-image-2.6.39-2-powerpc64 linux-headers-2.6.39-2-powerpc64 linux-headers-2.6.39-2-all-ppc64 linux-headers-2.6.39-2-all-s390
 linux-image-2.6.39-2-s390x linux-headers-2.6.39-2-s390x linux-image-2.6.39-2-s390x-tape linux-headers-2.6.39-2-all-sh4 linux-image-2.6.39-2-sh7751r linux-headers-2.6.39-2-sh7751r linux-image-2.6.39-2-sh7785lcr linux-headers-2.6.39-2-sh7785lcr linux-headers-2.6.39-2-all-sparc linux-image-2.6.39-2-sparc64 linux-headers-2.6.39-2-sparc64 linux-image-2.6.39-2-sparc64-smp linux-headers-2.6.39-2-sparc64-smp
 linux-headers-2.6.39-2-all-sparc64
Architecture: all source
Version: 2.6.39-2
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 596626 619827 622745 622997 627492 627837 628191 628932 629401
Description: 
 linux-doc-2.6.39 - Linux kernel specific documentation for version 2.6.39
 linux-headers-2.6.39-2-486 - Header files for Linux 2.6.39-2-486
 linux-headers-2.6.39-2-4kc-malta - Header files for Linux 2.6.39-2-4kc-malta
 linux-headers-2.6.39-2-5kc-malta - Header files for Linux 2.6.39-2-5kc-malta
 linux-headers-2.6.39-2-686-pae - Header files for Linux 2.6.39-2-686-pae
 linux-headers-2.6.39-2-all - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-alpha - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-amd64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-armel - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-armhf - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-hppa - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-i386 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-ia64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-m68k - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-mips - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-mipsel - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-powerpc - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-ppc64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-s390 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-sh4 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-sparc64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-all-sparc - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-2-alpha-generic - Header files for Linux 2.6.39-2-alpha-generic
 linux-headers-2.6.39-2-alpha-legacy - Header files for Linux 2.6.39-2-alpha-legacy
 linux-headers-2.6.39-2-alpha-smp - Header files for Linux 2.6.39-2-alpha-smp
 linux-headers-2.6.39-2-amd64 - Header files for Linux 2.6.39-2-amd64
 linux-headers-2.6.39-2-amiga - Header files for Linux 2.6.39-2-amiga
 linux-headers-2.6.39-2-atari - Header files for Linux 2.6.39-2-atari
 linux-headers-2.6.39-2-bvme6000 - Header files for Linux 2.6.39-2-bvme6000
 linux-headers-2.6.39-2-common - Common header files for Linux 2.6.39-2
 linux-headers-2.6.39-2-iop32x - Header files for Linux 2.6.39-2-iop32x
 linux-headers-2.6.39-2-itanium - Header files for Linux 2.6.39-2-itanium
 linux-headers-2.6.39-2-ixp4xx - Header files for Linux 2.6.39-2-ixp4xx
 linux-headers-2.6.39-2-kirkwood - Header files for Linux 2.6.39-2-kirkwood
 linux-headers-2.6.39-2-loongson-2f - Header files for Linux 2.6.39-2-loongson-2f
 linux-headers-2.6.39-2-mac - Header files for Linux 2.6.39-2-mac
 linux-headers-2.6.39-2-mckinley - Header files for Linux 2.6.39-2-mckinley
 linux-headers-2.6.39-2-mvme147 - Header files for Linux 2.6.39-2-mvme147
 linux-headers-2.6.39-2-mvme16x - Header files for Linux 2.6.39-2-mvme16x
 linux-headers-2.6.39-2-mx5 - Header files for Linux 2.6.39-2-mx5
 linux-headers-2.6.39-2-octeon - Header files for Linux 2.6.39-2-octeon
 linux-headers-2.6.39-2-orion5x - Header files for Linux 2.6.39-2-orion5x
 linux-headers-2.6.39-2-parisc64 - Header files for Linux 2.6.39-2-parisc64
 linux-headers-2.6.39-2-parisc64-smp - Header files for Linux 2.6.39-2-parisc64-smp
 linux-headers-2.6.39-2-parisc - Header files for Linux 2.6.39-2-parisc
 linux-headers-2.6.39-2-parisc-smp - Header files for Linux 2.6.39-2-parisc-smp
 linux-headers-2.6.39-2-powerpc64 - Header files for Linux 2.6.39-2-powerpc64
 linux-headers-2.6.39-2-powerpc - Header files for Linux 2.6.39-2-powerpc
 linux-headers-2.6.39-2-powerpc-smp - Header files for Linux 2.6.39-2-powerpc-smp
 linux-headers-2.6.39-2-r4k-ip22 - Header files for Linux 2.6.39-2-r4k-ip22
 linux-headers-2.6.39-2-r5k-cobalt - Header files for Linux 2.6.39-2-r5k-cobalt
 linux-headers-2.6.39-2-r5k-ip32 - Header files for Linux 2.6.39-2-r5k-ip32
 linux-headers-2.6.39-2-s390x - Header files for Linux 2.6.39-2-s390x
 linux-headers-2.6.39-2-sb1a-bcm91480b - Header files for Linux 2.6.39-2-sb1a-bcm91480b
 linux-headers-2.6.39-2-sb1-bcm91250a - Header files for Linux 2.6.39-2-sb1-bcm91250a
 linux-headers-2.6.39-2-sh7751r - Header files for Linux 2.6.39-2-sh7751r
 linux-headers-2.6.39-2-sh7785lcr - Header files for Linux 2.6.39-2-sh7785lcr
 linux-headers-2.6.39-2-sparc64 - Header files for Linux 2.6.39-2-sparc64
 linux-headers-2.6.39-2-sparc64-smp - Header files for Linux 2.6.39-2-sparc64-smp
 linux-headers-2.6.39-2-versatile - Header files for Linux 2.6.39-2-versatile
 linux-image-2.6.39-2-486 - Linux 2.6.39 for older PCs
 linux-image-2.6.39-2-4kc-malta - Linux 2.6.39 for MIPS Malta
 linux-image-2.6.39-2-5kc-malta - Linux 2.6.39 for MIPS Malta (64-bit)
 linux-image-2.6.39-2-686-pae-dbg - Debugging infos for Linux 2.6.39-2-686-pae
 linux-image-2.6.39-2-686-pae - Linux 2.6.39 for modern PCs
 linux-image-2.6.39-2-alpha-generic - Linux 2.6.39 for Alpha
 linux-image-2.6.39-2-alpha-legacy - Linux 2.6.39 for Alpha Legacy
 linux-image-2.6.39-2-alpha-smp - Linux 2.6.39 for Alpha SMP
 linux-image-2.6.39-2-amd64-dbg - Debugging infos for Linux 2.6.39-2-amd64
 linux-image-2.6.39-2-amd64 - Linux 2.6.39 for 64-bit PCs
 linux-image-2.6.39-2-amiga - Linux 2.6.39 for Amiga
 linux-image-2.6.39-2-atari - Linux 2.6.39 for Atari
 linux-image-2.6.39-2-bvme6000 - Linux 2.6.39 for BVM BVME4000 and BVME6000
 linux-image-2.6.39-2-iop32x - Linux 2.6.39 for IOP32x
 linux-image-2.6.39-2-itanium - Linux 2.6.39 for Itanium
 linux-image-2.6.39-2-ixp4xx - Linux 2.6.39 for IXP4xx
 linux-image-2.6.39-2-kirkwood - Linux 2.6.39 for Marvell Kirkwood
 linux-image-2.6.39-2-loongson-2f - Linux 2.6.39 for Loongson 2F
 linux-image-2.6.39-2-mac - Linux 2.6.39 for Macintosh
 linux-image-2.6.39-2-mckinley - Linux 2.6.39 for Itanium II
 linux-image-2.6.39-2-mvme147 - Linux 2.6.39 for Motorola MVME147
 linux-image-2.6.39-2-mvme16x - Linux 2.6.39 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.39-2-mx5 - Linux 2.6.39 for Freescale MXC/iMX-based
 linux-image-2.6.39-2-octeon - Linux 2.6.39 for Octeon
 linux-image-2.6.39-2-orion5x - Linux 2.6.39 for Marvell Orion
 linux-image-2.6.39-2-parisc64 - Linux 2.6.39 for 64-bit PA-RISC
 linux-image-2.6.39-2-parisc64-smp - Linux 2.6.39 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.39-2-parisc - Linux 2.6.39 for 32-bit PA-RISC
 linux-image-2.6.39-2-parisc-smp - Linux 2.6.39 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.39-2-powerpc64 - Linux 2.6.39 for 64-bit PowerPC
 linux-image-2.6.39-2-powerpc - Linux 2.6.39 for uniprocessor 32-bit PowerPC
 linux-image-2.6.39-2-powerpc-smp - Linux 2.6.39 for multiprocessor 32-bit PowerPC
 linux-image-2.6.39-2-r4k-ip22 - Linux 2.6.39 for SGI IP22
 linux-image-2.6.39-2-r5k-cobalt - Linux 2.6.39 for Cobalt
 linux-image-2.6.39-2-r5k-ip32 - Linux 2.6.39 for SGI IP32
 linux-image-2.6.39-2-s390x - Linux 2.6.39 for IBM zSeries
 linux-image-2.6.39-2-s390x-tape - Linux 2.6.39 for IBM zSeries, IPL from tape
 linux-image-2.6.39-2-sb1a-bcm91480b - Linux 2.6.39 for BCM91480B
 linux-image-2.6.39-2-sb1-bcm91250a - Linux 2.6.39 for BCM91250A
 linux-image-2.6.39-2-sh7751r - Linux 2.6.39 for sh7751r
 linux-image-2.6.39-2-sh7785lcr - Linux 2.6.39 for sh7785lcr
 linux-image-2.6.39-2-sparc64 - Linux 2.6.39 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.39-2-sparc64-smp - Linux 2.6.39 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.39-2-versatile - Linux 2.6.39 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.39 - Linux kernel API manual pages for version 2.6.39
 linux-patch-debian-2.6.39 - Debian patches to version 2.6.39 of the Linux kernel
 linux-source-2.6.39 - Linux kernel source for version 2.6.39 with Debian patches
 linux-support-2.6.39-2 - Support files for Linux 2.6.39
 linux-tools-2.6.39 - Performance analysis tools for Linux 2.6.39
Changes: 
 linux-2.6 (2.6.39-2) unstable; urgency=low
 .
   [ Ben Hutchings ]
   * [x86] Enable BACKLIGHT_APPLE, replacing BACKLIGHT_MBP_NVIDIA
     (Closes: #627492)
   * cgroups: Disable memory resource controller by default. Allow it
     to be enabled using kernel parameter 'cgroup_enable=memory'.
   * rt2800usb: Enable support for more USB devices including
     Linksys WUSB600N (Closes: #596626) (this change was accidentally
     omitted from 2.6.39-1)
   * [x86] Remove Celeron from list of processors supporting PAE. Most
     'Celeron M' models do not.
   * Update debconf template translations:
     - Swedish (Martin Bagge) (Closes: #628932)
     - French (David Prévot) (Closes: #628191)
   * aufs: Update for 2.6.39 (Closes: #627837)
   * Add stable 2.6.39.1, including:
     - ext4: dont set PageUptodate in ext4_end_bio()
     - pata_cmd64x: fix boot crash on parisc (Closes: #622997, #622745)
     - ext3: Fix fs corruption when make_indexed_dir() fails
     - netfilter: nf_ct_sip: validate Content-Length in TCP SIP messages
     - sctp: fix race between sctp_bind_addr_free() and
       sctp_bind_addr_conflict()
     - sctp: fix memory leak of the ASCONF queue when free asoc
     - md/bitmap: fix saving of events_cleared and other state
     - cdc_acm: Fix oops when Droids MuIn LCD is connected
     - cx88: Fix conversion from BKL to fine-grained locks (Closes: #619827)
     - keys: Set cred->user_ns in key_replace_session_keyring (CVE-2011-2184)
     - tmpfs: fix race between truncate and writepage
     - nfs41: Correct offset for LAYOUTCOMMIT
     - xen/mmu: fix a race window causing leave_mm BUG()
     - ext4: fix possible use-after-free in ext4_remove_li_request()
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.39.1
   * Bump ABI to 2
   * netfilter: Enable IP_SET, IP_SET_BITMAP_IP, IP_SET_BITMAP_IPMAC,
     IP_SET_BITMAP_PORT, IP_SET_HASH_IP, IP_SET_HASH_IPPORT,
     IP_SET_HASH_IPPORTIP, IP_SET_HASH_IPPORTNET, IP_SET_HASH_NET,
     IP_SET_HASH_NETPORT, IP_SET_LIST_SET, NETFILTER_XT_SET as modules
     (Closes: #629401)
 .
   [ Aurelien Jarno ]
   * [mipsel/loongson-2f] Disable_SCSI_LPFC to workaround GCC ICE.
Checksums-Sha1: 
 a5c6bba08e4c44f785fbe61b5e8ee9e0b0ef39cb 5806 linux-2.6_2.6.39-2.dsc
 4769243f02f11e7bd02d290d4009f83747e4d7d6 578659 linux-2.6_2.6.39-2.diff.gz
 8631b1c19660fa882a90f5d006cb832762eb681f 366420 linux-patch-debian-2.6.39_2.6.39-2_all.deb
 4cb02f008f3a2297858be8692cb74068956cae1d 174028 linux-support-2.6.39-2_2.6.39-2_all.deb
 fb03333766d0e0dff8de418db3d3dfb998b2d096 75577082 linux-source-2.6.39_2.6.39-2_all.deb
 19f140b72935da562cd4444fa2610da024f64d9a 6869108 linux-doc-2.6.39_2.6.39-2_all.deb
 ce7a73b0b31c3b07c57abd75305ca05edf75dbe3 3108970 linux-manual-2.6.39_2.6.39-2_all.deb
Checksums-Sha256: 
 667038dcba51ce595a6ec69af992062ed895661616090f13e82b6cdbb65f3169 5806 linux-2.6_2.6.39-2.dsc
 ca01b79327c3a8030e64ad3639f9e417201252e9ed1d8cb181c4794d59056a1f 578659 linux-2.6_2.6.39-2.diff.gz
 47df0218811bdbc61a334c01ea41e73ca4b3828c95cdd6dbb023acb50d8dcec7 366420 linux-patch-debian-2.6.39_2.6.39-2_all.deb
 527bf66a1c84f712fb3ff7fe5aad2af4eadf17e65d3db8970b4db2d961933fd6 174028 linux-support-2.6.39-2_2.6.39-2_all.deb
 b933eca679cd705f2d5066853fca59c4d891f1ae00b3e4163928950291d58528 75577082 linux-source-2.6.39_2.6.39-2_all.deb
 fe41a2298009ecdd59cf8f43a2210a36e2b1d9edd960f0d50be8a6f7b8846c5b 6869108 linux-doc-2.6.39_2.6.39-2_all.deb
 a213675720022125eeac7a1e32b70e25c8a6becd05e33f4e410803319b9516d3 3108970 linux-manual-2.6.39_2.6.39-2_all.deb
Files: 
 0962e7a374c1c6f7f6bc5b7f901540da 5806 kernel optional linux-2.6_2.6.39-2.dsc
 dc26f6efd2390aa7b94a5c4fde3f247e 578659 kernel optional linux-2.6_2.6.39-2.diff.gz
 33d1e6e069da648eadd3a23ca06f2006 366420 kernel optional linux-patch-debian-2.6.39_2.6.39-2_all.deb
 27cf13a746b2eed0cf916379a94c0569 174028 devel optional linux-support-2.6.39-2_2.6.39-2_all.deb
 54efbc4c7d3f7d30b10617c0342bcdc1 75577082 kernel optional linux-source-2.6.39_2.6.39-2_all.deb
 0d1e8c078518b5b87abfd4ef00f7a4af 6869108 doc optional linux-doc-2.6.39_2.6.39-2_all.deb
 4d3128e3aeeeed8296f296ee4b911268 3108970 doc optional linux-manual-2.6.39_2.6.39-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTe7nmOe/yOyVhhEJAQoimRAAg84Ec0xZGM8IerCtojIQb2WKyF7KpxrW
BEomHXU+vfQALjA6nvp8C861bVA2PnAiMwAroq2QRw38VyOAthCTDayliFcWm3cf
iU2qgGAWTyicrB668JHwHQLuO5H6Bph/ysOSfqekfMM+hBOtpTQu+ir0gRCZAXmr
RSY2Uc3Z0S9e9IUUqdRsyWL6EGEkx29rCXITxT+N4lGngETahrGd2qY76ZENVDOk
eYNJ6gkSWSdtleK/4I1Dd7KEaTBo4jgG+CddbBWcDwpnyUuTHH/PThGN2Eu77z/3
2LTcN7teWcoFnIjZFAOu0d/l3Gqbyf9LZsYIBkVmVJ1DJ8Ds7LnTfJItVR2Y2mA+
C29qQ4NBEKIB9zCUPTiaQffcG9yY7k86Xv/ys1AJCeGT1VCM/vj5OH8DKEOujxaN
ydBZfA9jj2nEIjve6XLaTaASCDAGEBUhJJbVWNdu3bgtdoKNA9RW6nxCnuWtqeUg
dsWe9EBQu0pUfeRMlSc7J9XSGXtosx/ZrfhCkLaXj11bMCinH+150yIXCoopHSTT
++acccxjK4aiMajHpryQMMPnnSAIsGDbD3HNvPiAVYT/uaEHDpM9lVrqCjQVYM+M
OilhVCewbu4ecmhSo09twlem1+JsM2jBXbWn7Wo3k/bnc56PTS1BnPoeCzkZ15gG
fU4ValF4G2Y=
=VnB7
-----END PGP SIGNATURE-----





Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Wed, 08 Jun 2011 10:10:39 GMT) Full text and rfc822 format available.

Notification sent to Steven Shiau <steven@nchc.org.tw>:
Bug acknowledged by developer. (Wed, 08 Jun 2011 10:10:44 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Tue, 12 Jul 2011 05:27:27 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Sep 2011 07:34:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:49:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.